picocli

## Class CommandLine.Model.MethodParam

- java.lang.Object
- - java.lang.reflect.AccessibleObject
  - - picocli.CommandLine.Model.MethodParam

All Implemented Interfaces:
  AnnotatedElement

Enclosing class:
  CommandLine.Model

    public static class CommandLine.Model.MethodParam
    extends AccessibleObject

Command method parameter, similar to java.lang.reflect.Parameter (not available before Java 8).

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`MethodParam(Method method, int paramIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T extends Annotation> T` `getAnnotation(Class<T> annotationClass)`
`Annotation[]` `getDeclaredAnnotations()`
`Method` `getDeclaringExecutable()`
`String` `getName()`
`Type` `getParameterizedType()`
`Class<?>` `getType()`
`boolean` `isAccessible()`
`void` `setAccessible(boolean flag)`
`String` `toString()`

### Methods inherited from class java.lang.reflect.AccessibleObject

`getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotationsByType, isAnnotationPresent, setAccessible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodParam

    public MethodParam(Method method,
                       int paramIndex)

### Method Detail

#### getParameterizedType

    public Type getParameterizedType()

#### getName

    public String getName()

#### getType

    public Class<?> getType()

#### getDeclaringExecutable

    public Method getDeclaringExecutable()

#### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationClass)

Specified by:
  `getAnnotation` in interface `AnnotatedElement`
Overrides:
  `getAnnotation` in class `AccessibleObject`

#### getDeclaredAnnotations

    public Annotation[] getDeclaredAnnotations()

Specified by:
  `getDeclaredAnnotations` in interface `AnnotatedElement`
Overrides:
  `getDeclaredAnnotations` in class `AccessibleObject`

#### setAccessible

    public void setAccessible(boolean flag)
                       throws SecurityException

Overrides:
  `setAccessible` in class `AccessibleObject`
Throws:
  `SecurityException`

#### isAccessible

    public boolean isAccessible()
                         throws SecurityException

Overrides:
  `isAccessible` in class `AccessibleObject`
Throws:
  `SecurityException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`